Magick++: Magick::Offset Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::Offset Class Reference

`#include <Geometry.h>`

## Public Member Functions

| Offset ()
| Offset (const char *offset_)
| Offset (const Offset &offset_)
| Offset (const std::string &offset_)
| Offset (ssize_t x_, ssize_t y_)
| ~Offset (void)
const Offset & | operator= (const char *offset_)
Offset & | operator= (const Offset &offset_)
const Offset & | operator= (const std::string &offset_)
ssize_t | x (void) const
ssize_t | y (void) const
| operator MagickCore::OffsetInfo () const

## Detailed Description

Definition at line 149 of file Geometry.h.

## Constructor & Destructor Documentation

## ◆ Offset() [1/5]

Magick::Offset::Offset | ( | void |  | ) |

Definition at line 487 of file Geometry.cpp.

## ◆ Offset() [2/5]

Magick::Offset::Offset | ( | const char * | offset_ | ) |

Definition at line 493 of file Geometry.cpp.

## ◆ Offset() [3/5]

Magick::Offset::Offset | ( | const Offset & | offset_ | ) |

Definition at line 500 of file Geometry.cpp.

## ◆ Offset() [4/5]

Magick::Offset::Offset | ( | const std::string & | offset_ | ) |

Definition at line 506 of file Geometry.cpp.

## ◆ Offset() [5/5]

Magick::Offset::Offset | ( | ssize_t | x_,
|  | ssize_t | y_
| ) |  |

Definition at line 513 of file Geometry.cpp.

## ◆ ~Offset()

Magick::Offset::~Offset | ( | void |  | ) |

Definition at line 519 of file Geometry.cpp.

## Member Function Documentation

## ◆ operator MagickCore::OffsetInfo()

Magick::Offset::operator MagickCore::OffsetInfo | ( |  | ) | const

Definition at line 566 of file Geometry.cpp.

## ◆ operator=() [1/3]

const Magick::Offset & Magick::Offset::operator= | ( | const char * | offset_ | ) |

Definition at line 523 of file Geometry.cpp.

## ◆ operator=() [2/3]

Magick::Offset & Magick::Offset::operator= | ( | const Offset & | offset_ | ) |

Definition at line 539 of file Geometry.cpp.

## ◆ operator=() [3/3]

const Magick::Offset & Magick::Offset::operator= | ( | const std::string & | offset_ | ) |

Definition at line 550 of file Geometry.cpp.

## ◆ x()

ssize_t Magick::Offset::x | ( | void |  | ) | const

Definition at line 556 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ y()

ssize_t Magick::Offset::y | ( | void |  | ) | const

Definition at line 561 of file Geometry.cpp.

Referenced by Magick::operator==().

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp